<?php
    /**
     *  获取用户详情
     */
    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/Encrypter.php";
    
    // 登录验证,验证cookie是否有openid，没有前端走微信openid获取流程
    if (!isset($_COOKIE['openid'])) {
        // 验证注册通道是否开始
        isStopSign();
        JsonResponse::result(['isLogin' => 0]);
    } 

    $enctypt = new Encrypter();
    $openid = $enctypt->decrypt($_COOKIE['openid']);

    // 查找用户
    $mysql = new mysqlHelper();
    $data = $mysql->fetch('SELECT * FROM user WHERE openid=? AND `status` <> 2', [$openid]);
    if ($data) {
        JsonResponse::result($data);
    } else {
        JsonResponse::error('获取用户数据失败');
    }

    // 验证注册通道是否开启
    function isStopSign()
    {
        $mysql = new mysqlHelper();

        $data = $mysql->fetch("SELECT `value` FROM `setting` WHERE `key` = 'isStopSign' AND  `value` = 1");
        if ($data) {
            JsonResponse::error("年会签到通道暂未开启");
        }
    }