<?php
    /**
     * 管理员登录，简单验证
     * 根据接收的密钥，生成永久token
     */
    include "Common/JsonResponse.php";
    include "Common/Encrypter.php";
    
    header('Access-Control-Allow-Origin:*');
    header("Access-Control-Allow-Methods:GET,POST,OPTIONS");
    header("Access-Control-Allow-Headers:Content-Type,token,X-Requested-With");
    if($_SERVER['REQUEST_METHOD'] == 'OPTIONS'){ 
        exit;
    } 
    if(!isset($_GET['id'])) {
        JsonResponse::error('验证失败');
    }
    $config = include('Common/config.php');

    if ($config['admin'] != md5($_GET['id'])) {
        JsonResponse::error('验证失败');
    }
    $enctypt = new Encrypter();
    // 生成token，并返回前端
    $token = $enctypt->encrypt($_GET['id']);
    JsonResponse::result(['token' => $token]);