<?php
/**
 * 跨域处理
 */
header('Access-Control-Allow-Origin:*');
header("Access-Control-Allow-Methods:GET,POST");

    /**
     *  返回节目列表
     */

    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/WechatHelper.php";
    include "Common/Encrypter.php";

    // id，头像
    $user_id = $_GET['user_id'] ?? '';

    $mysql = new mysqlHelper();
    $data  = $mysql->fetchAll("SELECT * FROM item");

    foreach ($data as $key => &$value){
        $value['id'] = (int)$value['id'];
        $value['performer_list'] = json_decode($value['performer_list'],true);
    }

    $userVote = [];
    if(!empty($user_id)){
        $userVote  = $mysql->fetchAll("SELECT item_id FROM item_vote WHERE user_id = ?", [$user_id]);
        if(!empty($userVote)){
            $userVote = array_column($userVote,'item_id');
        }
    }

    $res = [
        'data' => [
            'item' => $data,
            'user_vote' => $userVote
        ]
    ];
    // 返回桌位列表
    JsonResponse::result($res);

