<?php
    /**
     *  抽奖后台设置
     */

    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/Encrypter.php";
    
    // 登录验证
    include "AdminAuth.php";

    // 设置
    if (!isset($_POST['flag']) || !isset($_POST['value'])) {
        JsonResponse::error('参数不能为空');
    }
    // 组装新增用户需要的数据
    $params = [
        $_POST['value'],
        $_POST['flag']
    ];
    $mysql = new mysqlHelper();
    // pdo保存数据
    $updateSql = "UPDATE `setting` SET `value` = ?  WHERE `key` = ?;";
    $rowCount = $mysql->update($updateSql, $params);
    if ($rowCount) {
        JsonResponse::result(['status'=>1]);
    } else {
        JsonResponse::result(['status'=>0]);
    }