<?php
    /**
     *  获取用户列表
     *  中奖用户列表会多给中奖类型和中奖时间
     */
    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/Encrypter.php";
    header('Access-Control-Allow-Origin:*');
    header("Access-Control-Allow-Methods:GET,POST");
    header("Access-Control-Allow-Headers:Content-Type,token,X-Requested-With");
    if(strtoupper($_SERVER['REQUEST_METHOD'])== 'OPTIONS'){ 
        exit; 
    } 


   $sql = "select 
            * ,
            (select count(1) from item_vote iv where iv.item_id = i.id) as vote_no
            from item i
            ORDER BY vote_no desc";

    
    $mysql = new mysqlHelper();
    $data = $mysql->fetchAll($sql);

    $i = 0;
    foreach ($data as $key => &$value){

        $value['vote_no_str'] = $value['vote_no']."票";

        $lastVote = $data[$key - 1]['vote_no'] ?? 0;

        if($value['vote_no'] != $lastVote){
            $i++;
        }

        $value['ranking'] = '第'.$i.'名';
    }

    JsonResponse::result($data);