<?php
    /**
     * 跨域处理
     */
    header('Access-Control-Allow-Origin:*');
    header("Access-Control-Allow-Methods:GET,POST");

    /**
     *  通过姓名签到
     */

    include "Common/JsonResponse.php";
    include "Common/mysqlHelper.php";
    include "Common/WechatHelper.php";
    include "Common/Encrypter.php";


    $mysql = new mysqlHelper();
    $data = $mysql->fetch("SELECT `value` FROM `setting` WHERE `key` = 'isStopSign' AND  `value` = 1");
    if ($data) {
        JsonResponse::error("年会签到通道暂未开启");
    }

    // 头像，姓名必填
    if (!isset($_POST['realname'])) {
        JsonResponse::error('纳尼？您的姓名竟然不存在！快老实交代，你是卧底还是走丢了');
    }

    $realname = $_POST['realname'];

    $data  = $mysql->fetch("SELECT id,realname,headimg,table_no,prize_no FROM user WHERE realname = ?", [$realname]);

    // 头像，姓名必填
    if (empty($data)) {
        JsonResponse::error('纳尼？您的姓名竟然不存在！快老实交代，你是卧底还是走丢了');
    }

    JsonResponse::result(['data' => $data]);

